| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::SimpleStreamTubeHandler Class Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/simple-stream-tube-handler.h>`

Inheritance diagram for Tp::SimpleStreamTubeHandler:
[legend]

## Signals

void | invokedForTube (const Tp::AccountPtr &account, const Tp::StreamTubeChannelPtr &tube, const QDateTime &userActionTime, const Tp::ChannelRequestHints &requestHints)
void | tubeInvalidated (const Tp::AccountPtr &account, const Tp::StreamTubeChannelPtr &tube, const QString &errorName, const QString &errorMessage)

## Public Member Functions

| ~SimpleStreamTubeHandler ()
bool | monitorsConnections () const
bool | bypassApproval () const
void | handleChannels (const MethodInvocationContextPtr<> &context, const AccountPtr &account, const ConnectionPtr &connection, const QList< ChannelPtr > &channels, const QList< ChannelRequestPtr > &requestsSatisfied, const QDateTime &userActionTime, const HandlerInfo &handlerInfo)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::AbstractClientHandler
virtual | ~AbstractClientHandler ()
ChannelClassSpecList | handlerFilter () const
Capabilities | handlerCapabilities () const
bool | wantsRequestNotification () const
virtual void | addRequest (const ChannelRequestPtr &request)
virtual void | removeRequest (const ChannelRequestPtr &request, const QString &errorName, const QString &errorMessage)
Public Member Functions inherited from Tp::AbstractClient
| AbstractClient ()
virtual | ~AbstractClient ()
bool | isRegistered () const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static SharedPtr< SimpleStreamTubeHandler > | create (const QStringList &p2pServices, const QStringList &roomServices, bool requested, bool monitorConnections, bool bypassApproval=false)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Additional Inherited Members

Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Protected Member Functions inherited from Tp::AbstractClientHandler
| AbstractClientHandler (const ChannelClassSpecList &channelFilter, const Capabilities &capabilities=Capabilities(), bool wantsRequestNotification=false)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Constructor & Destructor Documentation

## § ~SimpleStreamTubeHandler()

Tp::SimpleStreamTubeHandler::~SimpleStreamTubeHandler | ( |  | ) |

## Member Function Documentation

## § create()

SharedPtr< SimpleStreamTubeHandler > Tp::SimpleStreamTubeHandler::create | ( | const QStringList & | p2pServices,
|  | const QStringList & | roomServices,
|  | bool | requested,
|  | bool | monitorConnections,
|  | bool | bypassApproval = `false`
| ) |  |

static

## § monitorsConnections()

bool Tp::SimpleStreamTubeHandler::monitorsConnections | ( |  | ) | const

inline

## § bypassApproval()

bool Tp::SimpleStreamTubeHandler::bypassApproval | ( |  | ) | const

inline virtual

Return whether channels destined for this handler are automatically handled, without invoking approvers.

Returns
  `true` if automatically handled, `false` otherwise.

Implements Tp::AbstractClientHandler.

## § handleChannels()

void Tp::SimpleStreamTubeHandler::handleChannels | ( | const MethodInvocationContextPtr<> & | context,
|  | const AccountPtr & | account,
|  | const ConnectionPtr & | connection,
|  | const QList< ChannelPtr > & | channels,
|  | const QList< ChannelRequestPtr > & | requestsSatisfied,
|  | const QDateTime & | userActionTime,
|  | const HandlerInfo & | handlerInfo
| ) |  |

virtual

Called by the channel dispatcher when this handler should handle these channels, or when this handler should present channels that it is already handling to the user (e.g. bring them into the foreground).

Clients are expected to know what channels they're already handling, and which channel object corresponds to which window or tab.

After handleChannels() replies successfully by calling MethodInvocationContext::setFinished(), the client process is considered to be responsible for the channel until it its unique name disappears from the bus.

If a process has multiple client bus names - some temporary and some long-lived - and drops one of the temporary bus names in order to reduce the set of channels that it will handle, any channels that it is already handling will remain unaffected.

The received context object should be stored until this method is finished processing and then MethodInvocationContext::setFinished() or MethodInvocationContext::setFinishedWithError() should be called on the received context object.

Specialized handlers must reimplement this method.

Parameters

  context | A MethodInvocationContextPtr object that must be used to indicate whether this method finished processing.
  account | The account with which the channels are associated.
  connection | The connection with which the channels are associated.
  channels | The channels to be handled.
  requestsSatisfied | The requests satisfied by these channels.
  userActionTime | The time at which user action occurred, or 0 if this channel is to be handled for some reason not involving user action. Handlers should use this for focus-stealing prevention, if applicable.
  handlerInfo | Additional information about these channels.

Implements Tp::AbstractClientHandler.

## § invokedForTube

void Tp::SimpleStreamTubeHandler::invokedForTube | ( | const Tp::AccountPtr & | account,
|  | const Tp::StreamTubeChannelPtr & | tube,
|  | const QDateTime & | userActionTime,
|  | const Tp::ChannelRequestHints & | requestHints
| ) |  |

signal

## § tubeInvalidated

void Tp::SimpleStreamTubeHandler::tubeInvalidated | ( | const Tp::AccountPtr & | account,
|  | const Tp::StreamTubeChannelPtr & | tube,
|  | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  |

signal